%define		realname	libpng
Summary:	PNG library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka PNG - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	1.6.10
Release:	1
License:	distributable
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/libpng/%{realname}-%{version}.tar.xz
# Source0-md5:	5f414b20f683b1d96b163c89e3eff768
Patch0:		%{realname}-pngminus.patch
Patch1:		http://downloads.sourceforge.net/libpng-apng/%{realname}-%{version}-apng.patch.gz
# Patch1-md5:	3404257f66d4a118b26ccc3fc4788810
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
Requires:	crossmingw32-zlib
Provides:	crossmingw32-libpng(APNG) = 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld    -Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteki PNG są kolekcją form używanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten został stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowościami.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libpng library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libpng (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	crossmingw32-libpng-static(APNG) = 0.10

%description static
Static libpng library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libpng (wersja skrośna MinGW32).

%package dll
Summary:	libpng - DLL library for Windows
Summary(pl.UTF-8):	libpng - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll
Requires:	wine
Provides:	crossmingw32-libpng-dll(APNG) = 0.10

%description dll
libpng - DLL library for Windows.

%description dll -l pl.UTF-8
libpng - biblioteka DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure \
	--target=%{target} \
	--host=%{target} \
	--with-pkgconfigdir=%{_pkgconfigdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

ln -sf libpng16.dll.a $RPM_BUILD_ROOT%{_libdir}/libpng.dll.a

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libpng16.dll.a
%{_libdir}/libpng.dll.a
%{_libdir}/libpng16.la
%{_libdir}/libpng.la
%{_includedir}/libpng16
%{_includedir}/png*.h
%{_pkgconfigdir}/libpng16.pc
%{_pkgconfigdir}/libpng.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng16.a
%{_libdir}/libpng.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpng16-*.dll
%changelog
* Tue Sep 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libpng.git;a=log;h=master

* Wed Mar 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 217bbcc
- updated to 1.6.10 (fixes CVE-2014-0333)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> a9760a6
- updated to 1.6.6

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> f45d758
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> d6e9f2d
- do not provide pkgconfig deps in system namespace

* Thu Apr 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 55c436d
- updated to 1.5.15

* Thu Jan 31 2013 Jakub Bogusz <qboosh@pld-linux.org> f5fdb07
- updated to 1.5.14
- removed obsolete apng-fix patch and version script hack

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> cbe7684
- updated to 1.5.13 (using apng 1.5.12 patch)

* Tue Sep 04 2012 Jakub Bogusz <qboosh@pld-linux.org> d970702
- updated to 1.5.12
- added filterout_c to avoid build failures on -f* options

* Wed Apr 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 8475a47
- updated to 1.5.10 (fixes CVE-2011-3048)

* Sun Feb 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 49ae65a
- updated to 1.5.9 (fixes CVE-2011-3026)

* Tue Feb 07 2012 Jakub Bogusz <qboosh@pld-linux.org> a3cbb18
- updated to 1.5.8 (fixes CVE-2011-3464)

* Wed Dec 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 91788af
- updated to 1.5.7

* Wed Jul 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 23d4fec
- updated to 1.4.8

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> d71feee
- updated to 1.4.7

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> e20c2ee
- no need to filter out -gdwarf-3 with new gcc

* Sat Feb 19 2011 Artur Frysiak <artur@frysiak.net> 14ebbd4
- updated pngminus patch
- filter out -gdwarf-3 (ELF only)

* Fri Dec 10 2010 Jakub Bogusz <qboosh@pld-linux.org> eb49f91
- updated to 1.4.5

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> b58c724
- updated to 1.4.4

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> b15bad0
- unified MinGW32 caps

* Sat Jul 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 5753240
- CVE reference

